Method: projects.locations.spaces.applicationTemplates.policies.list

Lists policies for an application template.

HTTP request

GET https://designcenter.googleapis.com/v1alpha/{parent=projects/*/locations/*/spaces/*/applicationTemplates/*}/policies

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent application template from which policies are listed in the following format: projects/$project/locations/$location/spaces/$space/applicationTemplates/$applicationTemplate

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.

pageToken

string

Optional. If present, retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.

filter

string

Optional. A filter that chooses which policies to return.

orderBy

string

Optional. How the results should be sorted.

Request body

The request body must be empty.

Response body

Message for response to listing policies.

If successful, the response body contains data with the following structure:

JSON representation
{
  "policies": [
    {
      object (Policy)
    }
  ],
  "nextPageToken": string
}
Fields
policies[]

object (Policy)

A list of policies.

nextPageToken

string

If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.